Subject: Re: bug#57161: 28.1.91; two column windows merge leaves 2nd column window showing

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Aug 2022 14:11:32 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Van Ly <[email-masked]>,
>   [email-masked]
> Date: Tue, 16 Aug 2022 03:24:56 +0200
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > I've never used this mode before, and I'm kinda flabbergasted that
> > something as esoteric as this is bound to <f2> by default.
> 
> That whole 2C library is a bit esoteric.
> 
> If you edit the remaining narrow window and try to merge (again), the
> second column is actually doubled in the original buffer.  That narrow
> window is useless, it's even harmful!
> 
> BTW, I tried a buffer with this contents:
> 
> 1 11
> 2 22
> 3 33
> 
> If you place the cursor before the separator (space char) instead of
> after it, C-x 6 s infloops.  Not nice.
> 
> 
> I then though: Do these narrow windows maybe suggest that one can
> iterate 2C processing to conveniently edit more than two columns?  But
> no, that just messes the original buffer if you try.
> 
> 
> So this bug report is one detail.  The whole library doesn't look very
> intuitive and user friendly.  Maybe 0.02 users in the world understand
> it and make good use of it.  Or maybe it has never been a good package.
> 
> I have tried to use it multiple times and was always disappointed about
> the experience.  It gives an unfinished impression.  Seems not good that
> it occupies F2, and also not good that it's built in.

I'm sorry to be blunt, but to me, this and other similar postings
sound like shooting first and painting the target around the shot
afterwards.

IOW, there's no need for a long report of "findings" if all you want
to say is "I don't use this and I don't like how it works".  It is
shorter and much more clear to say the latter.  Also more direct.

If people want to deprecate/obsolete and eventually remove this
package if no one uses it, I'm perfectly okay with starting that
process now.  Then, when we eventually delete it, or maybe even after
enough years in lisp/obsolete/, we can "free" the F2 binding.  But
doing this abruptly, right now, just because we never before looked at
the package, is a non-starter: that's not how we obsolete and remove
old stuff in Emacs.